<?php
if(session_id() == '') {
	session_start();
}

function session($level = false){
	$founded = false;
	//accessibile solo agli utenti specificati
	if($level){
		//ho specificato un solo utente
		if(!is_array($level)){
			if(isset($_SESSION['user']) && $_SESSION['user']['level'] == $level)
				$founded = true;
		}else{
			foreach($level as $l)
				if(isset($_SESSION['user']) && $l == $_SESSION['user']['level'])
					$founded = true;
		}

	//accessibile a tutti gli utenti loggati
	} else if(isset($_SESSION['logged']) && $_SESSION['logged']){
		$founded = true;
	}

	if(!$founded){

		echo 'Sesione scaduta. Effettuare nuovamente il login';
		die();
	}
}
?>
